Error extending schema - 3.5.1 IDM install - Tree null

  • 7002070
  • 03-Dec-2008
  • 26-Apr-2012

Environment

Novell Identity Manager 3.5.1
Novell eDirectory 8.8.3 64 Bit (Linux)

Situation

Install of Identity Manager 3.5.1 fails during schema extention.
 
If you look at the idm install log file, you see that the tree name is null during the attempt to extend schema.
 
Installing...Identity Manager Schema
rpm --query --obsoletes -p  "/media/IDM351BE_Lin/linux/setup/packages/novell-DXMLsch-3.5.0-20070926.i386.rpm"
Obsoletes: (none)
rpm --query --obsoletes -p  "/media/IDM351BE_Lin/linux/setup/packages/novell-DXMLsch-3.5.0-20070926.i386.rpm": exitValue = 0
rpm -e --allmatches --nodeps novell-DXMLsch
error: package novell-DXMLsch is not installed
rpm -e --allmatches --nodeps novell-DXMLsch: exitValue = 1
rpm -i --replacefiles --nodeps  --relocate=/usr=/opt/novell/eDirectory "/media/IDM351BE_Lin/linux/setup/packages/novell-DXMLsch-3.5.0-20070926.i386.rpm"
rpm -i --replacefiles --nodeps  --relocate=/usr=/opt/novell/eDirectory "/media/IDM351BE_Lin/linux/setup/packages/novell-DXMLsch-3.5.0-20070926.i386.rpm": exitValue = 0
Extending...Identity Manager Schema
=
ndssch -h 10.10.10.10:524 -t null -p xxxx .cn=admin.o=novell.T=null. /opt/novell/eDirectory/lib/nds-schema/vrschema.sch
ERROR : Unable to resolve the administrator object ".cn=admin.o=novell.T=null.". Verify that the name and context have been entered completely and correctly. Error description : All referrals failed.

ndssch exitValue = 254
=
ndssch -h 10.10.10.10:524 -t null -p xxxx .cn=admin.o=novell.T=null. /opt/novell/eDirectory/lib/nds-schema/drv_ext.sch
ndssch exitValue = 254
ERROR : Unable to resolve the administrator object ".cn=admin.o=novell.T=null.". Verify that the name and context have been entered completely and correctly. Error description : All referrals failed.
error: package novell-DXMLsch is not installed
 
SEARCH:  t=null idminstall.log

Resolution

The metadirectory for IDM 3.5.1 and IDM 3.6 are NOT supported on eDirectory 8.8.3 64bit.   See system requirements for Identity Manager 3.6 in the Documentation.
 
   
Currently IDM 3.5.1 and IDM 3.6 are only supported on eDirectory 8.8.3 32bit
 
Reinstall your server using eDirectory 32bit and then install IDM 3.5.1 or 3.6.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.